1

[alpine-aports] [PATCH 1/2] testing/composer updating to version 1.1.2

Nathan Johnson
Details
Message ID
<20160607154746.4214-1-nathan@nathanjohnson.info>
Sender timestamp
1465314465
DKIM signature
missing
Download raw message
Patch: +6 -6
---
 testing/composer/APKBUILD | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

diff --git a/testing/composer/APKBUILD b/testing/composer/APKBUILD
index 8145033..5836615 100644
--- a/testing/composer/APKBUILD
+++ b/testing/composer/APKBUILD
@@ -1,9 +1,9 @@
 # Contributor: Nathan Johnson <nathan@nathanjohnson.info>
 # Maintainer: Nathan Johnson <nathan@nathanjohnson.info>
 pkgname=composer
-pkgver=1.0.2
-_pkgverreal=${pkgver/_beta/-beta}
-pkgrel=1
+pkgver=1.1.2
+_pkgverreal=${pkgver}
+pkgrel=0
 pkgdesc="Dependency manager for php"
 url="https://getcomposer.org/"
 arch="noarch"
@@ -23,6 +23,6 @@ package() {
 	install -m 0755 "${pkgname}"-"${_pkgverreal}".phar $pkgdir/usr/bin/"${pkgname}"
 }
 
-md5sums="fcce0b6badce67e98b1f444946d0d6ab  composer-1.0.2.phar"
-sha256sums="264673ccee900b22192605b8c74ecb77c45a5197347edacd142699866c478f4c  composer-1.0.2.phar"
-sha512sums="b3ec242ab73236226a6bcfbf6d6cc76bd405fb79942ff7da78369af4a536730444dfb53497cb1d1551870665bd509d4ede62be4489e86ed481af8070539f0a5e  composer-1.0.2.phar"
+md5sums="5d80fd95d9533850cf31359905a79ec1  composer-1.1.2.phar"
+sha256sums="7af2409080619e2ba98e78d7675710c23acf2ccf088d4439a4f79c33ed85c505  composer-1.1.2.phar"
+sha512sums="d7ad4b49d14593dacfa93cc2cc2ebd7dd9a4ad6d8fc03eae3f442f8ce5444b45530fea27dbeeafe3258f3f2dd163cffda53d7c1fe39e155675f0f022ae7fcee9  composer-1.1.2.phar"
-- 
2.8.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/2] testing/php5-couchbase renamed from php-couchbase

Nathan Johnson
Details
Message ID
<20160607154746.4214-2-nathan@nathanjohnson.info>
In-Reply-To
<20160607154746.4214-1-nathan@nathanjohnson.info> (view parent)
Sender timestamp
1465314466
DKIM signature
missing
Download raw message
Patch: +39 -37
Also moving config from /etc/php/conf.d to /etc/php5/conf.d
---
 testing/php-couchbase/APKBUILD  | 37 -------------------------------------
 testing/php5-couchbase/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 39 insertions(+), 37 deletions(-)
 delete mode 100644 testing/php-couchbase/APKBUILD
 create mode 100644 testing/php5-couchbase/APKBUILD

diff --git a/testing/php-couchbase/APKBUILD b/testing/php-couchbase/APKBUILD
deleted file mode 100644
index cd89717..0000000
--- a/testing/php-couchbase/APKBUILD
@@ -1,37 +0,0 @@
-# Contributor: Nathan Johnson <nathan@nathanjohnson.info>
-# Maintainer: Nathan Johnson <nathan@nathanjohnson.info>
-pkgname=php-couchbase
-_pkgreal=couchbase
-pkgver=2.1.0
-pkgrel=0
-pkgdesc="PHP extension couchbase"
-url="http://pecl.php.net/package/$_pkgreal"
-arch="all"
-license="ASL 2.0"
-depends=
-pecldepends="php-dev autoconf"
-makedepends="$pecldepends libcouchbase-dev zlib-dev"
-install=""
-subpackages=""
-source="http://pecl.php.net/get/$_pkgreal-$pkgver.tgz"
-
-_builddir="$srcdir"/$_pkgreal-$pkgver
-
-build() {
-	cd "$_builddir"
-	phpize || return 1
-	./configure --prefix=/usr || return 1
-	make || return 1
-	make test || return 1
-}
-
-package() {
-	cd "$_builddir"
-	make INSTALL_ROOT="$pkgdir"/ install || return 1
-	install -d "$pkgdir"/etc/php/conf.d || return 1
-	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php/conf.d/$_pkgreal.ini
-}
-
-md5sums="1ee53916bd2e1247882be0ccaf440857  couchbase-2.1.0.tgz"
-sha256sums="30eda3f5afd0d9f4c77b12650163c3490de111e57ad6b20092c95e44e3d60a8d  couchbase-2.1.0.tgz"
-sha512sums="39dabf34d03dc476c0092d05355fc7446506d40a06e8d1b999b54dfe3181200b8bd039e2087456deb7263f7cec9dc93f6541a33510fac5b586e24fe68973dc36  couchbase-2.1.0.tgz"
diff --git a/testing/php5-couchbase/APKBUILD b/testing/php5-couchbase/APKBUILD
new file mode 100644
index 0000000..f0b4952
--- /dev/null
+++ b/testing/php5-couchbase/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Nathan Johnson <nathan@nathanjohnson.info>
+# Maintainer: Nathan Johnson <nathan@nathanjohnson.info>
+pkgname=php5-couchbase
+_pkgreal=couchbase
+replaces=php-couchbase
+replaces_priority=1
+pkgver=2.1.0
+pkgrel=0
+pkgdesc="PHP extension couchbase"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="all"
+license="ASL 2.0"
+depends=
+pecldepends="php5-dev autoconf"
+makedepends="$pecldepends libcouchbase-dev zlib-dev"
+install=""
+subpackages=""
+source="http://pecl.php.net/get/$_pkgreal-$pkgver.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$pkgver
+
+build() {
+	cd "$_builddir"
+	phpize || return 1
+	./configure --prefix=/usr || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php5/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php5/conf.d/$_pkgreal.ini
+}
+
+md5sums="1ee53916bd2e1247882be0ccaf440857  couchbase-2.1.0.tgz"
+sha256sums="30eda3f5afd0d9f4c77b12650163c3490de111e57ad6b20092c95e44e3d60a8d  couchbase-2.1.0.tgz"
+sha512sums="39dabf34d03dc476c0092d05355fc7446506d40a06e8d1b999b54dfe3181200b8bd039e2087456deb7263f7cec9dc93f6541a33510fac5b586e24fe68973dc36  couchbase-2.1.0.tgz"
-- 
2.8.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---